### Enumeration

# Fwupd KeyringKind

unstable since: 2.0

#### Declaration

    enum Fwupd.KeyringKind

#### Description [src]

Type of keyring used on a remote.

Available since: 2.0

#### Members

`FWUPD_KEYRING_KIND_UNKNOWN`

  Unknown.

  - Value: `0`
  - Nickname: `None`
  - Available since: 2.0
`FWUPD_KEYRING_KIND_NONE`

  No verification.

  - Value: `1`
  - Nickname: `None`
  - Available since: 2.0
`FWUPD_KEYRING_KIND_GPG`

  Verification using GPG.

  - Value: `2`
  - Nickname: `None`
  - Available since: 2.0
`FWUPD_KEYRING_KIND_PKCS7`

  Verification using PKCS7

  - Value: `3`
  - Nickname: `None`
  - Available since: 2.0
`FWUPD_KEYRING_KIND_JCAT`

  Verification using Jcat.

  - Value: `4`
  - Nickname: `None`
  - Available since: 2.0